--- title: "Get grant details" description: "Learn how to get information about all grants in your balance platform." url: "https://docs.adyen.com/capital/get-grant-balances" source_url: "https://docs.adyen.com/capital/get-grant-balances.md" canonical: "https://docs.adyen.com/capital/get-grant-balances" last_modified: "2022-10-26T11:36:00+02:00" language: "en" --- # Get grant details Learn how to get information about all grants in your balance platform. [View source](/capital/get-grant-balances.md) After you successfully create a grant, you can get the details of these grants by making API requests. These details include, for example, the grant balances, repayment configuration, and status. You can use this information to: * Show your user the details of their grant. * Track whether your user is repaying their grant. ## Requirements Before you begin, take into account the following requirements and preparations. | Requirement | Description | | -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | | **Integration type** | You must have an Adyen for Platforms integration with the Capital financial product enabled. | | **API credentials** | You must have a [Balance Platform API key](/capital/manage-access) (for example, **ws\[\_123456]@BalancePlatform.\[YourBalancePlatform]**) to access the [Capital API](https://docs.adyen.com/api-explorer/capital/latest/overview). Your API credential must have the following roles:- **Balance Platform Capital Configuration role** - **Balance Platform Capital Grant Initiation role** | | **Capabilities** | Make sure that your user have the following [capabilities](/capital/manage-user-capabilities):- **getGrantOffers** - **receiveGrants** | | **Limitations** | Your user must operate in one of the [supported countries/regions](/capital#supported-countriesregions). | | **Setup steps** | Before you begin, make sure:- You reached out to your Adyen contact to set up the necessary configurations to add the Capital financial product to your integration. For more details, see our [Integration checklist](/capital/integration-checklist). - You followed our [compliance guidelines for Capital](/capital/compliance-guidelines) when creating user interfaces, marketing materials, and other processes. - Your user [selected a grant offer](/capital/get-grant-offers) and [signed the Terms of Service](/capital/terms-of-service). - You [disbursed at least one grant](/capital/make-grant-request). | ## Get all grants of an account holder You can get the details of all the grants given to a specific account holder. To do so: 1. Make a GET [/grants](https://docs.adyen.com/api-explorer/capital/latest/get/grants) request with the receiving [counterpartyAccountHolderId](https://docs.adyen.com/api-explorer/capital/latest/get/grants#query-counterpartyAccountHolderId) as a query parameter. **Get all grant references of an account holder** ```bash curl https://balanceplatform-api-test.adyen.com/capital/v1/grants?counterpartyAccountHolderId=AH00000000000000000000001 \ -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \ -H 'content-type: application/json' \ -X GET \ -d '' ``` 2. In the response, note the `grants` array, which includes an object for each grant associated to the account holder. Each object includes the following parameters: | Parameter | Description | | ------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------- | | [id](https://docs.adyen.com/api-explorer/capital/latest/get/grants#responses-200-grants-id) | The identifier of the grant reference. | | [grantAccountId](https://docs.adyen.com/api-explorer/capital/latest/get/grants#responses-200-grants-grantAccountId) | The identifier of the grant account used to account for the grant. | | [grantOfferId](https://docs.adyen.com/api-explorer/capital/latest/get/grants#responses-200-grants-grantOfferId) | The identifier of the grant offer that has been selected by the receiving account holder. | | [counterparty](https://docs.adyen.com/api-explorer/capital/latest/get/grants#responses-200-grants-counterparty) | An object containing the details of the receiving account holder. | | [amount](https://docs.adyen.com/api-explorer/capital/latest/get/grants#responses-200-grants-amount) | An object containing the amount of the grant, in [minor units](/development-resources/currency-codes). | | [fee](https://docs.adyen.com/api-explorer/capital/latest/get/grants#responses-200-grants-fee) | An object containing the fee amount. | | [repayment](https://docs.adyen.com/api-explorer/capital/latest/get/grants#responses-200-grants-repayment) | An object containing the repayment amount, in [basis points](https://en.wikipedia.org/wiki/Basis_point). | | [balances](https://docs.adyen.com/api-explorer/capital/latest/get/grants#responses-200-grants-balances) | An object containing the details of the existing grant. | | [status](https://docs.adyen.com/api-explorer/capital/latest/get/grants#responses-200-grants-status) | The status of the grant. | **Response** ```json { "grants": [ { "id": "GR322XC22322625HQ7NCX2FWJ", "amount": { "currency": "EUR", "value": 310534 }, "counterparty": { "accountHolderId": "AH322XC22349655HQ7NCSFJMQ", "balanceAccountId": "BA322XC22349655HQ7NCSFJNV" }, "fee": { "amount": { "currency": "EUR", "value": 31053 } }, "grantAccountId": "CG322LZ223222B5F6SFQWBANK", "repayment": { "basisPoints": 500 }, "balances": { "currency": "EUR", "fee": 31053, "principal": 310534, "total": 341587 }, "status": "Active" }, { "id": "GR322XC39137294KQ1NCX4MWR", "amount": { "currency": "EUR", "value": 31053 }, "counterparty": { "accountHolderId": "AH322XC22349655HQ7NCSFJMQ", "balanceAccountId": "BA322XC22349655HQ7NCSFJNV" }, "fee": { "amount": { "currency": "EUR", "value": 3105 } }, "grantAccountId": "CG322LZ223222B5F6SFQWBANK", "repayment": { "basisPoints": 500 }, "balances": { "currency": "EUR", "fee": 0, "principal": 0, "total": 0 }, "status": "Repaid" } ] } ``` ## Get details of a specific grant To get the balance of a specific grant: 1. Make a GET [/grants/{grantId}](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)) request with the receiving [grantId](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)#path-grantId) as a query parameter. **Get the balances of a grant** ```bash curl https://balanceplatform-api-test.adyen.com/capital/v1/grants/GR00000000000000000000001 \ -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \ -H 'content-type: application/json' \ -X GET ``` 2. In the response, note the following parameters: | Parameter | Description | | ------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------- | | [id](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)#responses-200-id) | The identifier of the grant reference. | | [grantAccountId](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)#responses-200-grantAccountId) | The identifier of the grant account used to account for the grant. | | [grantOfferId](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)#responses-200-grantOfferId) | The identifier of the grant offer that has been selected by the receiving account holder. | | [counterparty](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)#responses-200-counterparty) | An object containing the details of the receiving account holder. | | [amount](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)#responses-200-amount) | An object containing the amount of the grant, in [minor units](/development-resources/currency-codes). | | [fee](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)#responses-200-fee) | An object containing the fee amount. | | [repayment](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)#responses-200-repayment) | An object containing the repayment amount, in [basis points](https://en.wikipedia.org/wiki/Basis_point). | | [balances](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)#responses-200-balances) | An object containing the details of the existing grant. | | [status](https://docs.adyen.com/api-explorer/capital/latest/get/grants/\(grantId\)#responses-200-status) | The status of the grant. | **Response** ```json { "id": "GR00000000000000000000001", "grantAccountId": "CG00000000000000000000001", "grantOfferId": "00000000001", "counterparty": { "accountHolderId": "AH00000000000000000000001", "balanceAccountId": "BA00000000000000000000001" }, "amount": { "currency": "EUR", "value": 1000000 }, "fee" : { "amount" : { "value" : 120000, "currency" : "EUR" } }, "repayment": { "basisPoints": 1400 }, "balances": { "principal": 1000000, "fee": 120000, "total": 1120000, "currency": "EUR" }, "status": "Active" } ``` ## Get details of your grant account The balances of all grants in your balance platform are tracked by your grant account. To get the details of your grant account: 1. Make a GET [/grantAccounts/{id}](https://docs.adyen.com/api-explorer/capital/latest/get/grantAccounts/\(id\)) request with the receiving [id](https://docs.adyen.com/api-explorer/capital/latest/get/grantAccounts/\(id\)#path-id) as a query parameter. **Get the balances of all grants** ```bash curl https://balanceplatform-api-test.adyen.com/capital/v1/grantAccounts/CG00000000000000000000001 \ -H 'x-api-key: ADYEN_BALANCE_PLATFORM_API_KEY' \ -H 'content-type: application/json' \ -X GET \ -d '' ``` 2. In the response, note the following parameters: | Parameter | Description | | -------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------- | | [id](https://docs.adyen.com/api-explorer/capital/latest/get/grantAccounts/\(id\)#responses-200-id) | The unique identifier of the grant account. | | [balances](https://docs.adyen.com/api-explorer/capital/latest/get/grantAccounts/\(id\)#responses-200-balances) | An object containing the details of all the existing grant(s) on your platform's grant account. | | [limits](https://docs.adyen.com/api-explorer/capital/latest/get/grantAccounts/\(id\)#responses-200-limits) | An object containing the details about the maximum allowed total amount for all grants on this grant account. | **Response** ```json { "balances": [ { "currency": "EUR", "fee": 120000, "principal": 1000000, "total": 1120000 } ], "id": "CG00000000000000000000001", "limits": [ { "amount": { "currency": "EUR", "value": -100000000 } }, { "amount": { "currency": "USD", "value": -100000000 } }, { "amount": { "currency": "GBP", "value": -100000000 } } ] } ``` ## See also * [Grant lifecycle and status](/capital/grant-lifecycle-and-status) * [Manage disbursements](/capital/manage-disbursements)